mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.CodeAccessPermission System.Security.Permissions.IBuiltInPermission System.Runtime.InteropServices.ComVisible(true)

Starting with the net_v40_long, identity permissions are not used.

In the .NET Framework versions 1.0 and 1.1, identity permissions cannot have an permission state value. Starting with the .NET Framework version 2.0, identity permissions can have any permission state value. This means that in 2.0 and later versions, identity permissions have the same behavior as permissions that implement the interface. That is, a demand for an identity always succeeds, regardless of the identity of the assembly, if the assembly has been granted full trust.

In the .NET Framework versions 1.0 and 1.1, demands on the identity permissions are effective, even when the calling assembly is fully trusted. That is, although the calling assembly has full trust, a demand for an identity permission fails if the assembly does not meet the demanded criteria. Starting with the .NET Framework version 2.0, demands for identity permissions are ineffective if the calling assembly has full trust. This assures consistency for all permissions, eliminating the treatment of identity permissions as a special case.

By default, code access security does not check for evidence. Unless your computer has a custom code group based on the class, you can improve performance by bypassing Authenticode signature verification. This is accomplished by configuring the runtime to not provide evidence for code access security. For more information about how to configure this option and which applications can use it, see the <generatePublisherEvidence> element.

Represents the identity of a software publisher. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The X.509 certificate defines the identity of the specified software publisher, as established by Authenticode code signing.

  Initializes a new instance of the class with the specified Authenticode X.509v3 certificate.

  An X.509 certificate representing the software publisher's identity.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Creates either a fully restricted (None) or Unrestricted permission.

  In the .NET Framework versions 1.0 and 1.1, identity permissions cannot have an permission state value. Starting with the .NET Framework version 2.0, identity permissions can have any permission state value. This means that in 2.0 and later versions, identity permissions have the same behavior as permissions that implement the interface. That is, a demand for an identity always succeeds, regardless of the identity of the assembly, if the assembly has been granted full trust.

  In the .NET Framework versions 1.0 and 1.1, demands on the identity permissions are effective, even when the calling assembly is fully trusted. That is, although the calling assembly has full trust, a demand for an identity permission fails if the assembly does not meet the demanded criteria. Starting with the .NET Framework version 2.0, demands for identity permissions are ineffective if the calling assembly has full trust. This assures consistency for all permissions, eliminating the treatment of identity permissions as a special case.

  Initializes a new instance of the class with the specified .

  One of the values.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509Certificate To be added. To be added.

  Gets or sets an Authenticode X.509v3 certificate that represents the identity of the software publisher.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.IPermission

  A copy of a permission represents the same access to resources as the original permission.

  Creates and returns an identical copy of the current permission.

  A copy of the current permission.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Reconstructs a permission with a specified state from an XML encoding.

  The XML encoding to use to reconstruct the permission.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.IPermission ``

  The intersection of two permissions is a permission that describes the set of operations they both describe in common. Only a demand that passes both original permissions will pass the intersection.

  only supports set operations (, , and ) when the current permission is equal to the specified permission.

  Creates and returns a permission that is the intersection of the current permission and the specified permission.

  A new permission that represents the intersection of the current permission and the specified permission. This new permission is null if the intersection is empty.

  A permission to intersect with the current permission. It must be of the same type as the current permission.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The current permission is a subset of the specified permission if the two permissions are equal. If this method returns true, the current permission represents the same access to the protected resource as the specified permission.

  supports set operations (, , and ) only when the current permission is equal to the specified permission.

  Determines whether the current permission is a subset of the specified permission.

  true if the current permission is a subset of the specified permission; otherwise, false.

  A permission that is to be tested for the subset relationship. This permission must be of the same type as the current permission.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.SecurityElement To be added.

  Creates an XML encoding of the permission and its current state.

  An XML encoding of the permission, including any state information.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.IPermission ``

  The result of a call to the method is a permission that represents all the operations represented by both the current permission and the specified permission. Any demand that passes either permission passes their union.

  The class only supports set operations (, , and ) when the current permission is equal to the specified permission.

  Creates a permission that is the union of the current permission and the specified permission.

  A new permission that represents the union of the current permission and the specified permission.

  A permission to combine with the current permission. It must be of the same type as the current permission.